<#ibizinclude>
../@MACRO/CONTROL/LANGBASE.vue.ftl
</#ibizinclude>
<#if item.render??>
${item.render.code}
<#else>
    <#if item.getContentType() == 'REPEATER'>
<app-form-mdctrl-repeater
    <#else>
<app-form-mdctrl
    </#if>
    <#if item.getPSSysCss?? && item.getPSSysCss()??>class="${item.getPSSysCss().getCssName()}"</#if>
    <#if item.getContentPSControl?? && item.getContentPSControl()?? && item.getContentPSControl().getPSAppDataEntity?? && item.getContentPSControl().getPSAppDataEntity()??>
    entityCodeName="${item.getContentPSControl().getPSAppDataEntity().codeName}"
    deKeyField="${item.getContentPSControl().getPSAppDataEntity().getKeyPSAppDEField().codeName}"
    </#if>
    :context="context"
    :viewparams="viewparams"
    <#if item.getHeight() gt 0 || item.getWidth() gt 0>
    style="<#if item.getHeight() gt 0>height: ${item.getHeight()?c}px;</#if><#if item.getWidth() gt 0>width: ${item.getWidth()?c}px</#if>"
    </#if>
    :formState="formState"
    name="${item.name}"
    :caption="<#if langbase??>$t('${langbase}.details.${item.name}')<#else>'${item.getCaption()}'</#if>"
    <#if item.getContentType() != 'REPEATER'>
    ctrlName="<#if item.getContentPSControl?? && item.getContentPSControl()??>${item.getContentPSControl().name}</#if>"
    contentType="${item.getContentType()}"
    @drdatasaved="drdatasaved($event)">
    <#else>
        <#if item.getPSDEFormDetails?? && item.getPSDEFormDetails()??>
    :children="{
            <#list item.getPSDEFormDetails() as formmenber>
                <#if formmenber.getDetailType() == 'FORMITEM' || (formmenber.getDetailType() == 'MDCTRL' && formmenber.getContentType() == 'REPEATER')>
        '${formmenber.name?lower_case}': { type: '${formmenber.getDetailType()}', caption: '${formmenber.getCaption()}' },
                </#if>
            </#list>
    }"
        </#if>
    mode='${item.getDetailStyle()}'
    :data="data['${item.name}']"
    >
    </#if>
    <#if item.getContentType() == 'REPEATER'>
        <#if item.getPSDEFormDetails?? && item.getPSDEFormDetails()??>
            <#if item.getDetailStyle?? && item.getDetailStyle()?? && item.getDetailStyle() != 'STYLE2'>
    <template v-slot:default="{ context, viewparams, data, onFormItemValueChange }">
                <#list item.getPSDEFormDetails() as formmenber>
                    <#if !(formmenber.isHidden?? && formmenber.isHidden())>
        <#ibizinclude>
        ../@MACRO/CONTROL/FORM_MEMBER_LAYOUT.vue.ftl
        </#ibizinclude>
                    </#if>
                </#list>
    </template>
            <#else>
                <#list item.getPSDEFormDetails() as formmenber>
                    <#if !(formmenber.isHidden?? && formmenber.isHidden())>
        <#ibizinclude>
        ../@MACRO/CONTROL/FORM_MEMBER_LAYOUT.vue.ftl
        </#ibizinclude>
                    </#if>
                </#list>
            </#if>
        </#if>
    </#if>
    <#if item.getContentPSControl?? && item.getContentPSControl()??>
    <template v-slot:default="{ viewparams, context, viewState, formMDCtrlAction }">
        <#assign content>
        <#if item.getContentType() == 'FORM'>
            :isautoload="true" 
            :autosave="${item.getContentPSControl().isEnableAutoSave()?c}" 
            :viewtag="viewtag"
            :showBusyIndicator="${item.getContentPSControl().isShowBusyIndicator()?c}"
            updateAction="UpdateTemp"
            removeAction="RemoveTemp"
            loaddraftAction="GetDraftTemp"
            loadAction="GetTemp"
            createAction="CreateTemp"
            style='<#if item.getContentPSControl().getWidth()?? && item.getContentPSControl().getWidth() gt 0>width: ${item.getContentPSControl().getWidth()?c}px</#if><#if item.getContentPSControl().getHeight() gt 0>height: ${item.getContentPSControl().getHeight()?c}px</#if>'
            @save="($event) => formMDCtrlAction('save', $event)"
            @checkFail="($event) => formMDCtrlAction('checkFail', $event)"
        </#if>
        </#assign>
        <view_${item.getContentPSControl().getName()} 
            ref="${item.getContentPSControl().name}"
            name="${item.getContentPSControl().name}"  
            :viewState="viewState"  
            :viewparams="viewparams" 
            :context="context"
            :pViewCtx="viewCtx"
            <#if content??>
            ${content}<#t>
            </#if>
            @closeview="closeView($event)">
        </view_${item.getContentPSControl().getName()}>
    </template>
    </#if>
    <#if item.getContentType() == 'REPEATER'>
</app-form-mdctrl-repeater>
    <#else>
</app-form-mdctrl>
    </#if>
</#if>
